<template>
  <div class="team-score">
    <span class="fill-the-void" v-if="!this.$store.state.teamNameTwo" />
    <h2 class="team-name">{{ this.$store.state.teamNameTwo }}</h2>
    <div class="score-box">
      <p class="score">{{ this.$store.state.teamTwoScore }}</p>
    </div>
    <div class="input-container" v-if="!this.$store.state.teamNameTwo">
      <label class="name" for="teamOneName"> Enter Team Name </label>
      <input
        class="input-name"
        @keyup.enter="updateTeamName"
        @blur="updateTeamName"
        v-model="enteredTeamName"
        type="text"
        placeholder="Team One Name"
        title="Enter your awesome team name!"
      />
    </div>
    <button
      class="update-name"
      v-if="this.$store.state.teamNameTwo"
      @click="resetTeam"
    >
      Update Name
    </button>
    <button @click="addOne"><i class="fas fa-plus" /></button>
    <button @click="minusOne"><i class="fas fa-minus" /></button>
  </div>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "TeamTwo",
  data() {
    return {
      enteredTeamName: ""
    };
  },
  methods: {
    addOne() {
      this.$store.commit("addTeamTwo");
    },
    minusOne() {
      this.$store.commit("subtractTeamTwo");
    },
    updateTeamName() {
      this.$store.commit("updateTeamTwo", this.enteredTeamName);
    },
    resetTeam() {
      this.$store.commit("updateTeamTwo", "");
      this.$store.commit("resetTeamTwoScore", 0);
      this.enteredTeamName = "";
    }
  },
  computed: {
    ...mapState(["teamTwoScore", "teamNameTwo"])
  }
};
</script>

<style lang="scss" scoped>
.team-score {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 30px;
}

.fill-the-void {
  margin: 18px 0;
}

.score-box {
  width: 75px;
  height: 75px;
  border: 3px solid #161616;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;

  .score {
    font-size: 30px;
    padding: 0;
    margin: 0;
  }
}

.input-container {
  display: flex;
  flex-direction: column;
  margin-top: 50px;

  .input-name {
    padding: 10px 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
}

button {
  width: 100%;
  margin-top: 5px;
  font-family: "Press Start 2P", cursive;
  font-size: 12px;
  border: 1px solid transparent;
  border-radius: 4px;
  background: #00b6ff;
  cursor: pointer;
  color: #161616;

  .fa-plus {
    font-size: 16px;
  }
}

button:hover {
  background: #006992;
}
</style>
